Delete an egress secret
DELETE
/v1/secrets/{secret_id}
const url = 'http://127.0.0.1:8080/v1/secrets/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url http://127.0.0.1:8080/v1/secrets/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” secret_id
required
Secret UUID or display name.
string
Secret UUID or display name.
Responses
Section titled “ Responses ”Response envelope.
Media type application/json
Response envelope.
object
data
required
Empty object.
object
Example generated
{ "data": {}}Missing, malformed, or rejected bearer token
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Validation or application error
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}default
Section titled “default ”Error response
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}